打开/关闭菜单
打开/关闭外观设置菜单
打开/关闭个人菜单
未登录
未登录用户的IP地址会在进行任意编辑后公开展示。

舰R百科是靠无数志愿编辑者持续地建设更新完善的。编辑非常简单,无需代码知识,请勇于更新页面!
编辑入门 | 资助百科 | 留言讨论页 | 微博@舰R百科 | 百科编辑讨论Q群:366818861

MediaWiki:Mobile.css:修订间差异

MediaWiki界面页面
Donnyjie留言 | 贡献
无编辑摘要
Donnyjie留言 | 贡献
无编辑摘要
 
(未显示3个用户的85个中间版本)
第1行: 第1行:
/* 放置于这里的CSS将影响使用移动版网站的用户 */
/* 放置于这里的CSS将影响使用移动版网站的用户 */
/* 移动版黑幕增加删除线 */
 
.heimu,
 
.heimu a,
/* 隐藏首页标题 */
a .heimu,
.page-首页 h1 {
.heimu a.new {
display: none;
    background-color: rgba(37, 37, 37, 0.37) !important;
}
    color: #252525 !important;
 
    line-height: 1em;
.sitenotice {
text-align: center;
display: none !important;
}
 
.sitenotice-bold, .sitenotice-bold a {
color:rgb(207, 59, 81);
text-decoration: none;
text-align: center;
font-weight: bold;
}
 
/*隐藏页面顶端的logo*/
.branding-box span{
position: absolute;
top:-200px;
}
 
/*tabber修改*/
.tabber__section {
border-width: 0px 1px 1px 1px;
border-color: #6690E5;
border-style: solid;
}
 
.tabber__panel {
padding:3px;
}
 
 
/* 图片宽度 */
#mw-content-text img {
max-width:90vw
}
 
/*移动版不显示目录*/
.toc-mobile {
display:none
}
 
/* 移动版黑幕 */
.heimu, .heimu a, a .heimu, .heimu a.new {
background-color: #252525;
color: #252525;
text-shadow: none;
}
.heimu:hover, .heimu:active {
color: white;
}
.heimu:hover a, a:hover .heimu {
color: lightblue;
}
.heimu:hover .new, .heimu .new:hover, .new:hover .heimu {
color: #BA0000;
}
}
/* 修复单元格莫名空行 */
/* 修复单元格莫名空行 */
td {
td {
第181行: 第235行:


         }
         }
/* 桌面端不显示 */
.deskOnly{display:none}
/* 台词表 */
.DiagTitleBlue { background:#4682B4;color:white;text-align:center }
.DiagTitleRed { background:#FF9C9C;color:white;text-align:center }
.DiagWhite { background:#FFFFFF;color:black;padding:0px 10px; }
.DiagBlue { background:#CCE9FD;color:black;padding:0px 10px; }
.DiagRed { background:#FFD2D2;color:black;padding:0px 10px; }
.DiagAudioWhite { width:45%;background:#FFFFFF;color:black; }
.DiagAudioBlue { width:45%;background:#CCE9FD;color:black; }
.DiagAudioRed { width:45%;background:#FFD2D2;color:black; }
/* 装备图鉴页面 */
div.eqTable {
text-align:center;
font-weight:bold;
width:100%;
position:relative;
}
div.eqTable img{
width:80px !important;
height:80px !important;
}
div.eqTable .eqCaption {
border:solid 1px rgb(170,170,170);
background-color:rgb(242,242,242);
float:right;
width:100%;
height:80px;
padding:auto;
}
div.eqTable .eqPic {
border:solid 1px rgb(170,170,170);
background-color:rgb(255,255,255);
display:block;
width:82px;
height:80px;
}
div.eqTable .eqC1 {
position:absolute;
left:85px;
top:0px;
width:calc(100% - 85px);
line-height:80px;
}
div.eqTable .eqC2 {
position:absolute;
left:85px;
bottom:0px;
width:calc(100% - 85px);
line-height:80px;
}
.eqTable .eqC1 .eqCaption:nth-of-type(odd) { background-color:rgb(255,255,255); }
.eqTable .eqC2 .eqCaption:nth-of-type(even) { background-color:rgb(255,255,255); }
/* 响应式表格反转 */
table.responded {
    border: 0px solid #ccc !important;
    width: 100%;
    margin:0;
    padding:0;
    border-collapse: collapse;
    border-spacing: 0;
    border: 0;
    margin: 0 auto;
}
table.responded th {
      display: none;
    }
table.responded tr {
    padding: 5px;
    margin-bottom: 10px;
    display: block;
}
table.responded td {
    display: block;
    text-align: right;
    font-size: 16px;
    border-bottom: 1px solid #ccc !important;
    min-height:1.5em;
}
table.responded td:last-child {
    border-bottom: 0;
}
table.responded td:before {
      float: left;
      font-weight: bold;
    }
/* 换装表格 */
table.skin img {
width:120px !important;
height:120px !important;
}
table.skin td { width:85vw;min-width:16px; }
table.skin.skin1 td:nth-of-type(1):before { content:'Q版立绘'; }
table.skin.skin1 td:nth-of-type(2):before { content:'正常立绘'; }
table.skin.skin1 td:nth-of-type(3):before { content:'编号'; }
table.skin.skin1 td:nth-of-type(4):before { content:'舰娘'; }
table.skin.skin1 td:nth-of-type(5):before { content:'装扮名称'; }
table.skin.skin1 td:nth-of-type(6):before { content:'获取方式'; }
table.skin.skin1 td:nth-of-type(7):before { content:'价格'; }
table.skin.skin1 td:nth-of-type(8):before { content:'备注'; }
table.skin.skin2 td:nth-of-type(1):before { content:'Q版立绘'; }
table.skin.skin2 td:nth-of-type(2):before { content:'正常立绘'; }
table.skin.skin2 td:nth-of-type(3):before { content:'编号'; }
table.skin.skin2 td:nth-of-type(4):before { content:'舰娘'; }
table.skin.skin2 td:nth-of-type(5):before { content:'获取方式'; }
table.skin.skin2 td:nth-of-type(6):before { content:'备注'; }
table.skin.skin3 td:nth-of-type(1):before { content:'Q版立绘'; }
table.skin.skin3 td:nth-of-type(2):before { content:'正常立绘'; }
table.skin.skin3 td:nth-of-type(3):before { content:'编号'; }
table.skin.skin3 td:nth-of-type(4):before { content:'舰娘'; }
table.skin.skin3 td:nth-of-type(5):before { content:'获取方式'; }
table.skin.skin3 td:nth-of-type(6):before { content:'价格'; }
table.skin.skin3 td:nth-of-type(7):before { content:'备注'; }
/* 卫星观测表格 */
table.satellite img {
width:160px !important;
height:auto !important;
}
table.satellite td:last-child { text-align:left; }
table.satellite td { width:85vw;}
table.satellite.satellite1 td:nth-of-type(1):before { content:'图片'; }
table.satellite.satellite1 td:nth-of-type(2):before { content:'系统名'; }
table.satellite.satellite1 td:nth-of-type(3):before { content:'卫星出处'; }
table.satellite.satellite1 td:nth-of-type(4):before { content:'上天时间'; }
table.satellite.satellite1 td:nth-of-type(5):before { content:'备注: '; }
table.satellite.satellite2 td:nth-of-type(1):before { content:'立绘'; }
table.satellite.satellite2 td:nth-of-type(2):before { content:'舰名'; }
table.satellite.satellite2 td:nth-of-type(3):before { content:'舰级'; }
table.satellite.satellite2 td:nth-of-type(4):before { content:'舰种'; }
table.satellite.satellite2 td:nth-of-type(5):before { content:'国籍'; }
table.satellite.satellite2 td:nth-of-type(6):before { content:'卫星出处'; }
table.satellite.satellite2 td:nth-of-type(7):before { content:'上天时间'; }
table.satellite.satellite2 td:nth-of-type(8):before { content:'备注: '; }
table.satellite.satellite3 td:nth-of-type(1):before { content:'截图'; }
table.satellite.satellite3 td:nth-of-type(2):before { content:'舰名'; }
table.satellite.satellite3 td:nth-of-type(3):before { content:'舰级'; }
table.satellite.satellite3 td:nth-of-type(4):before { content:'舰种'; }
table.satellite.satellite3 td:nth-of-type(5):before { content:'国籍'; }
table.satellite.satellite3 td:nth-of-type(6):before { content:'卫星出处'; }
table.satellite.satellite3 td:nth-of-type(7):before { content:'上天时间'; }
table.satellite.satellite3 td:nth-of-type(8):before { content:'备注: '; }
table.satellite.satellite4 td:nth-of-type(1):before { content:'舰名'; }
table.satellite.satellite4 td:nth-of-type(2):before { content:'舰种'; }
table.satellite.satellite4 td:nth-of-type(3):before { content:'国籍'; }
table.satellite.satellite4 td:nth-of-type(4):before { content:'语言'; }
table.satellite.satellite4 td:nth-of-type(5):before { content:'卫星出处'; }
table.satellite.satellite4 td:nth-of-type(6):before { content:'上天时间'; }
table.satellite.satellite4 td:nth-of-type(7):before { content:'备注'; }
/* 出身表格 */
table.shipyard td:last-child { text-align:left;}
table.shipyard td { width:85vw; }
table.shipyard td:first-child{
text-align:left;
font-family:'楷体';
font-size:1.25em;
font-weight:bold; }
table.shipyard td:nth-of-type(2):before { content:'开工时间'; }
table.shipyard td:nth-of-type(3):before { content:'下水时间'; }
table.shipyard td:nth-of-type(4):before { content:'出厂日期'; }
table.shipyard td:nth-of-type(5):before { content:'备注: '; }
/* 意军军舰表格 */
table.shipyardit td { width:85vw; }
table.shipyardit td:nth-of-type(1):before { content:'开工时间'; }
table.shipyardit td:nth-of-type(2):before { content:'下水时间'; }
table.shipyardit td:nth-of-type(3):before { content:'出厂日期'; }
table.shipyardit td:nth-of-type(4):before { content:'服役日期'; }
table.shipyardit td:nth-of-type(5):before { content:'舰名'; }
table.shipyardit td:nth-of-type(5){font-weight:bold; color:rgb(135,183,255);}
table.shipyardit td:nth-of-type(6):before { content:'译名1';}
table.shipyardit td:nth-of-type(6){font-weight:bold; color:rgb(135,183,255);}
table.shipyardit td:nth-of-type(7):before { content:'译名2';}
table.shipyardit td:nth-of-type(7){font-weight:bold; color:rgb(135,183,255);}
/* 技能表格 */
table.skill td:last-child { text-align:left;}
table.skill td:nth-of-type(6) { text-align:left; }
table.skill tr.skill2 td:nth-of-type(3) { text-align:left; }
table.skill td { width:85vw;}
table.skill tr:not(.skill2) td:nth-of-type(1):before { content:'编号'; }
table.skill tr:not(.skill2) td:nth-of-type(2):before { content:'舰娘'; }
table.skill tr:not(.skill2) td:nth-of-type(3):before { content:'技能'; }
table.skill tr:not(.skill2) td:nth-of-type(4):before { content:'改造等级'; }
table.skill tr:not(.skill2) td:nth-of-type(5):before { content:'技能类型'; }
table.skill tr:not(.skill2) td:nth-of-type(6):before { content:'备注: '; }
table.skill tr.skill2 td:nth-of-type(1):before { content:'技能2'; }
table.skill tr.skill2 td:nth-of-type(2):before { content:'技能类型'; }
table.skill tr.skill2 td:nth-of-type(3):before { content:'备注: '; }
/* 舰船获得方式表格 */
table.getship td:last-child { text-align:left; }
table.getship td { width:85vw;}
table.getship td:nth-of-type(1):before { content:'图鉴编号'; }
table.getship td:nth-of-type(2):before { content:'立绘'; }
table.getship td:nth-of-type(3):before { content:'名称'; }
table.getship td:nth-of-type(4):before { content:'舰级'; }
table.getship td:nth-of-type(5):before { content:'建造时间'; }
/* 彩虹字体 */
.rainbowText {
color:red;
background:-webkit-linear-gradient(left,#f3c741,#e21d3a,#bb44b8,#3c7af7);
-webkit-background-clip: text;
-webkit-text-fill-color: transparent;
display:inline-block;
}
/* Adpex页面专用 */
@media screen and (max-width: 400px){
.ifHide{
width:10px;
}
}
/* End Adpex */
/* 首页布局 */
.mainContent{width:90vw;}
.mainContentTag{height:350px;overflow:auto;}
.mainNav{position:relative; margin:0 auto 0 auto; width:90vw; height:200vw; max-width:576px; max-height:1280px; overflow:hidden;}
.mainBlock1{position:absolute; top:0%; left:0%; width:100%; height:100%; }
.mainXinshourumen{position:absolute; top:0%; left:0%; width:60%; border:solid 2px #FFF; }
.mainHaogandu{position:absolute; top:12%; left:0%; width:60%; border:solid 2px #FFF; }
.mainZhanlipin{position:absolute; top:18%; left:0%; width:60%; border:solid 2px #FFF; }
.mainHaiyuziliao{position:absolute; top:0%; left:60%; width:40%; border:solid 2px #FFF; }
.mainLishizhanyi{position:absolute; top:6%; left:60%; width:40%; border:solid 2px #FFF; }
.mainYuanzheng{position:absolute; top:12%; left:60%; width:40%; border:solid 2px #FFF; }
.mainRenwu{position:absolute; top:18%; left:60%; width:40%; border:solid 2px #FFF; }
.mainBlock2{position:absolute; top:25%; left:0%; width:100%; height:100%; }
.mainZhandoujizhi{position:absolute; top:0%; left:0%; width:60%; border:solid 2px #FFF; }
.mainJineng{position:absolute; top:6%; left:0%; width:60%; border:solid 2px #FFF; }
.mainGangqu{position:absolute; top:0%; left:60%; width:40%; border:solid 2px #FFF; }
.mainBlock3{position:absolute; top:38%; left:0%; width:100%; height:100%; }
.mainJianchuanhuode{position:absolute; top:0%; left:0%; width:66.6%; height:10%; border:solid 2px #FFF; }
.mainJianniangtujian{position:absolute; top:10%; left:0%; width:33.3%; border:solid 2px #FFF; }
.mainSuoshutuanti{position:absolute; top:15%; left:0%; width:33.3%; border:solid 2px #FFF; }
.mainJianchuanleixing{position:absolute; top:10%; left:33.3%; width:33.3%; border:solid 2px #FFF; }
.mainHuanzhuang{position:absolute; top:15%; left:33.3%; width:33.3%; border:solid 2px #FFF; }
.mainZaochuanchang{position:absolute; top:20%; left:0%; width:50%; border-left:solid 2px #FFF; border-top:solid 2px #FFF; border-bottom:solid 2px #FFF; }
.mainGuisu{position:absolute; top:20%; left:50%; width:50%; border-right:solid 2px #FFF; border-top:solid 2px #FFF; border-bottom:solid 2px #FFF; z-index:10; }
.mainShenhaijiandui_11{ position:absolute; top:15%; left:66.6%; width:33.3%; height:5%; border:solid 2px #FFF; overflow:hidden; }
.mainShenhaijiandui_12{ position:absolute; width:150%; left:-17.5%; }
.mainShenhaijiandui_21{ position:absolute; top: 15%; left:66.6%; width: 50%; height:5%; border:solid 2px #FFF; overflow:hidden; z-index:9; }
.mainShenhaijiandui_22{ position:absolute; width:200%; left: -10.5%; }
.mainBlock3_1{position:absolute; top:38%; left:66.6%; width:33.3%; height:15%}
.mainZhuangbei{position:absolute; top:0%; left:0%; width:100%; border:solid 2px #FFF; }
.mainZhuangbeitujian{position:absolute; top:50%; left:0%; width:100%; border:solid 2px #FFF; }
.mainBlock4{position:absolute; top:65%; left:0%; width:100%; height:100%; }
.mainWeixing{position:absolute; top:0%; left:0%; width:33.3%; border:solid 2px #FFF; }
.mainChangkan{position:absolute; top:0%; left:33.3%; width:33.3%; border:solid 2px #FFF; }
.mainLishi{position:absolute; top:0%; left:66.6%; width:33.3%; border:solid 2px #FFF; }
.mainBlock5{position:absolute; top:76%; left:0%; width:100%; height:100%; }
.mainZaxue{position:absolute; top:0%; left:0%; width:66.7%; border:solid 2px #FFF; }
.mainHuashi{position:absolute; top:5%; left:0%; width:33.3%; border:solid 2px #FFF; }
.mainPeiyin{position:absolute; top:5%; left:33.3%; width:33.3%; border:solid 2px #FFF; }
.mainBlock6{position:absolute; top:86%; left:0%; width:100%; height:100%; }
.mainYingshi{position:absolute; top:0%; left:0%; width:33.3%; border:solid 2px #FFF; }
.mainManhua{position:absolute; top:0%; left:33.3%; width:33.3%; border:solid 2px #FFF; }
.mainYouxi{position:absolute; top:5%; left:0%; width:33.3%; border:solid 2px #FFF; }
.mainXiaoshuo{position:absolute; top:5%; left:33.3%; width:33.3%; border:solid 2px #FFF; }
.mainHetuji{position:absolute; top:0%; left:76.8%; width:22.4%; border:solid 2px #FFF; display:none;}